<div class="card">
  <h3>Listado de Tickets de Usuarios</h3>
  <div class="card-body">
    <table class="table table-hover">
      <thead>
        <tr>
          <th>Codigo</th>
          <th>Fecha Asignacion</th>
          <th>Usuario</th>
          <th>Categoria</th>
          <th>Servicio</th>
          <th>Sla</th>
          <th>Estado</th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let ticket of ticket  | paginate:{itemsPerPage: 5, currentPage: page}  ">

          <td *ngIf="ticket.usuario.codUsuario == usuarioLogiado ">{{ ticket.codticket }}</td>
          <td *ngIf="ticket.usuario.codUsuario == usuarioLogiado ">{{ ticket.fechaAsignacion | date:'MMM dd, yyyy hh:mm'}}</td>
          <td *ngIf="ticket.usuario.codUsuario == usuarioLogiado ">{{ ticket.usuario.persona.nombres }}</td>
          <td *ngIf="ticket.usuario.codUsuario == usuarioLogiado ">{{ ticket.servicio.catalogo.categoria }}</td>
          <td *ngIf="ticket.usuario.codUsuario == usuarioLogiado ">{{ ticket.servicio.titulo }}</td>
          <td *ngIf="ticket.usuario.codUsuario == usuarioLogiado ">{{ ticket.sla }}</td>
          <td *ngIf="ticket.usuario.codUsuario == usuarioLogiado ">{{ ticket.estado.nombreEstado }}</td>

          <td *ngIf="ticket.estado.nombreEstado == 'Abierto' && ticket.usuario.codUsuario == usuarioLogiado   ">
            <button (click)="obtenercodTicket(ticket.codticket)" style="margin-right: 3%;" type="button" class="btn btn- btn-outline-primary ">
              Modificar</button>
            <button (click)="rechazar(ticket.codticket)" type="button" class="btn btn-outline-danger">Rechazar</button>
          </td>

          <td *ngIf="ticket.confirmacion == true && ticket.usuario.codUsuario == usuarioLogiado && ticket.estado.codEstado == 2">
            <button type="button" class="btn btn-outline-primary" (click)="alertanotificacion( ticket.codticket)"><img
                class="bell" width="30" height="30" src="./assets/imagenes/bell.gif"
                color="warning">Notificacion</button>
          </td>
          <td *ngIf="ticket.confirmacion == true && ticket.usuario.codUsuario == usuarioLogiado && ticket.estado.codEstado == 5">
            <button type="button" class="btn btn-outline-primary" (click)="alertanotificacion( ticket.codticket)">ver solucion</button>
          </td>
        </tr>
      </tbody>
    </table>
    <pagination-controls class="paginacion" (pageChange)="page = $event"></pagination-controls>
  </div>
</div>
